- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::precision::LineStringSnapper Class Reference

Snaps the vertices and segments of a LineString to another's vertices. Should improve robustness for overlay operations. More...

`#include <LineStringSnapper.h>`

List of all members.

## Public Member Functions
| LineStringSnapper (const geom::Coordinate::Vect &nSrcPts, double nSnapTol)
std::auto_ptr < geom::Coordinate::Vect > | snapTo (const geom::Coordinate::ConstVect &snapPts)

## Detailed Description

Snaps the vertices and segments of a LineString to another's vertices. Should improve robustness for overlay operations.

The documentation for this class was generated from the following file:

- LineStringSnapper.h